Bug 1952424 - [RFE] Add Data Source variable to all dashboards
Summary: [RFE] Add Data Source variable to all dashboards
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine-dwh
Classification: oVirt
Component: Grafana
Version: 4.4.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ovirt-4.4.7
: 4.4.7
Assignee: Aviv Litman
QA Contact: Pavel Novotny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-22 09:19 UTC by Aviv Litman
Modified: 2021-07-08 14:15 UTC (History)
2 users (show)

Fixed In Version: ovirt-engine-dwh-4.4.7
Doc Type: Enhancement
Doc Text:
Feature: Add the option to select Data Source for all dashboards. Reason: This way we can navigate easily if there are several different engines (with different dwh).
Clone Of:
Environment:
Last Closed: 2021-07-08 14:15:29 UTC
oVirt Team: Metrics
mperina: ovirt-4.4?
pm-rhel: planning_ack?
mperina: devel_ack+
gdeolive: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 114422 0 master MERGED Add Data Source variable to all dashboards 2021-05-06 16:28:22 UTC

Description Aviv Litman 2021-04-22 09:19:51 UTC
Following a user request, we will add the option to select Data Source for all dashboards.
This way we can navigate easily if there are several different engines (with different dwh).


The fix will include adding a variable to each dashboard, whose type is "datasource". 
And adjusting the other variables, panels and Links to display according to the user-selected data source.

Comment 1 Martin Perina 2021-05-06 06:59:21 UTC
Targeting to 4.4.7 as this significantly speeds up development. From end users point of view this can used to ease comparing reports from multiple DWH setups, but the benefit is probably not that significant as for developers use case

Comment 2 RHEL Program Management 2021-05-24 21:26:24 UTC
The documentation text flag should only be set after 'doc text' field is provided. Please provide the documentation text and set the flag to '?' again.

Comment 3 Pavel Novotny 2021-07-08 14:14:40 UTC
Verified in 
ovirt-engine-4.4.7.6-0.11.el8ev.noarch
ovirt-engine-dwh-4.4.7.3-1.el8ev.noarch

All dashboards now contain variable 'datasource' that defaults to oVirt DWH data source.

Comment 4 Sandro Bonazzola 2021-07-08 14:15:29 UTC
This bugzilla is included in oVirt 4.4.7 release, published on July 6th 2021.

Since the problem described in this bug report should be resolved in oVirt 4.4.7 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.